name: linuxserver-grav
services:
  app:
    cpu_shares: 90
    deploy:
      resources:
        limits:
          memory: 1866M
    environment:
      - PGID=1000
      - PUID=1000
      - TZ=America/Sao_Paulo
    image: linuxserver/grav:1.7.42
    labels:
      icon: https://raw.githubusercontent.com/linuxserver/docker-templates/master/linuxserver.io/img/grav-logo.png
    network_mode: bridge
    networks:
      ? default
    ports:
      - target: 80
        published: "8089"
        protocol: tcp
    restart: unless-stopped
    volumes:
      - type: bind
        source: /DATA/AppData/grav/config
        target: /config
    x-casaos:
      envs:
        - container: PUID
          description:
            en_us: for UserID
        - container: PGID
          description:
            en_us: for GroupID
        - container: TZ
          description:
            en_us: specify a timezone to use, see this list.
      ports:
        - container: "80"
          description:
            en_us: Port for web frontend
      volumes:
        - container: /config
          description:
            en_us: Contains all relevant configuration files.
    devices: []
    cap_add: []
    command: []
    privileged: false
    container_name: ""
networks:
  default:
    name: linuxserver-grav_default
x-casaos:
  architectures:
    - amd64
    - arm
    - arm64
  author: WisdomSky
  category: LinuxServer.io
  description:
    en_us: "Visit homepage:
      https://github.com/orgs/linuxserver/packages/container/package/grav"
  developer: LinuxServer.io
  hostname: ""
  icon: https://raw.githubusercontent.com/linuxserver/docker-templates/master/linuxserver.io/img/grav-logo.png
  index: /
  main: app
  port_map: "8089"
  scheme: http
  store_app_id: linuxserver-grav
  tagline:
    en_us: A Fast, Simple, And Flexible, File-based Web-platform.
  thumbnail: https://raw.githubusercontent.com/linuxserver/docker-templates/master/linuxserver.io/img/grav-logo.png
  title:
    en_us: Grav
